Skip to content
Skip to main content

Manage Domains

The Manage Domains endpoints let you register, verify, update, and delete email domains for use with Transactional Send and Nylas Agent Accounts.

Before you can use these endpoints, you need a Nylas Service Account to authenticate your requests. Nylas Service Account authentication uses cryptographic request signing with four custom headers (X-Nylas-Kid, X-Nylas-Timestamp, X-Nylas-Nonce, X-Nylas-Signature).

Domain verification

After you register a domain, you must verify DNS records before you can use it. Call the Get domain info endpoint to retrieve the DNS records you need to configure, then call the Verify domain endpoint after you've added them to your DNS provider.

The verification types are:

Type Required for Description
ownership All domains Proves you control the domain.
dkim Transactional Send, Agent Accounts Authenticates outgoing mail.
spf Transactional Send, Agent Accounts Authorizes Nylas to send on your behalf.
feedback Transactional Send, Agent Accounts Enables bounce reporting.
mx Agent Accounts Routes incoming mail to Nylas.

Nylas tracks dmarc and arc records but does not currently enforce or verify them. Setting up DMARC is highly recommended to prevent emails going to spam.

For more information, see Managing domains.

Endpoints

7
GET
List domains
GET /v3/admin/domains

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Returns a list of all domains registered to your organization.

POST
Create domain
POST /v3/admin/domains

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Registers a new email domain for your organization. After creating a domain, you must verify its DNS records befo...

GET
Get domain
GET /v3/admin/domains/{domain_id}

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Returns the specified domain.

PUT
Update domain
PUT /v3/admin/domains/{domain_id}

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Updates the specified domain. Currently, only the name field can be updated.

DELETE
Delete domain
DELETE /v3/admin/domains/{domain_id}

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Deletes the specified domain. This action is irreversible.

POST
Get domain info
POST /v3/admin/domains/{domain_id}/info

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Returns the DNS record information and verification status for the specified verification type. Use this endpoint...

POST
Verify domain
POST /v3/admin/domains/{domain_id}/verify

⚠️ Before you can use the Manage Domains endpoints, you need a Nylas Service Account . Triggers a verification check for the specified DNS record type. Before calling this endpoint, add the required D...